# $Revision: 1.8 $, $Date: 2012/01/14 20:06:22 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Load-Conditional
Summary:	Module::Load::Conditional - Looking up module information / loading at runtime
Summary(pl.UTF-8):	Module::Load::Conditional - wyszukiwanie informacji o modułach i wczytywanie
Name:		perl-Module-Load-Conditional
Version:	0.46
Release:	1
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af138006ac6b65d628bbd9deb36187bc
URL:		http://search.cpan.org/dist/Module-Load-Conditional/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Locale-Maketext-Simple
BuildRequires:	perl-Module-Load
BuildRequires:	perl-Params-Check
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Module::Load::Conditional provides simple ways to query
and possibly load any of the modules you have installed on your system
during runtime.

It is able to load multiple modules at once or none at all if one of
them was not able to load. It also takes care of any error checking
and so forth.

%description -l pl.UTF-8
Moduł Perla Module::Load::Conditional udostępnia prosty sposób na
odpytanie i ewentualne wczytanie w czasie działania programu dowolnego
z modułów zainstalowanych w systemie.

Pozwala wczytać wiele modułów naraz lub nie wczytać żadnego z nich,
jeśli jednego z nich nie da się załadować. Dba także o sprawdzanie
błędów itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Module/Load
%{perl_vendorlib}/Module/Load/Conditional.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Load-Conditional.spec,v $
Revision 1.8  2012/01/14 20:06:22  zbyniu
- up to 0.46

Revision 1.7  2009/08/27 07:31:51  amateja
- updated to 0.30

Revision 1.6  2007/12/24 01:30:14  zbyniu
- up to 0.22

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/08/20 09:15:07  qboosh
- pl, typo

Revision 1.2  2006/07/26 18:58:13  agaran
- updated %desc, license, builds here.

Revision 1.1  2006/07/26 18:40:44  agaran
- initial NFY, WIP
